## python-protobix 0.1.2

=== requirements.txt ===
configobj
simplejson
traceback2
pytest
pytest-cov

## python-protobix 0.1.0

=== debian/changelog ===
python-protobix (0.1.0-1) unstable; urgency=medium

  * Imported Upstream version 0.1.0
  * Update d/copyright license to be consistent with upstream
  * Bump standard version to 3.9.7

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 26 Feb 2016 19:22:42 +0100

python-protobix (0.0.9-1) unstable; urgency=medium

  * Initial packaging (Closes: #807412)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 8 Dec 2015 15:13:05 +0100

=== debian/control ===
Source: python-protobix
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jean Baptiste Favre <debian@jbfavre.org>
Build-Depends: debhelper (>= 8), dh-python,
               python-all (>= 2.6.6-3), python-setuptools,
               python3-all, python3-setuptools,
               python-configobj, python3-configobj
Standards-Version: 3.9.7
Homepage: https://github.com/jbfavre/python-protobix
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-protobix.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-protobix.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-protobix
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Implementation of Zabbix Sender protocol
 This module implements Zabbix Sender Protocol.
 It allows one to build list of items and send items and send them as trapper.
 It currently supports items as well as Low Level Discovery.
 .
 This is the Python 2 version of the package.

Package: python3-protobix
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Implementation of Zabbix Sender protocol
 This module implements Zabbix Sender Protocol.
 It allows one to build list of items and send items and send them as trapper.
 It currently supports items as well as Low Level Discovery.
 .
 This is the Python 3 version of the package.

## python-protobix 0.1.2

=== debian/changelog ===
python-protobix (0.1.2-1) unstable; urgency=medium

  * Import python-protobix_0.1.2.orig.tar.gz

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 15 Jul 2016 15:42:01 +0200

python-protobix (0.1.1-1) unstable; urgency=medium

  * New upstream version 0.1.1
  * Update Standards version

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 09 Jul 2016 14:04:29 +0200

python-protobix (0.0.9-2) UNRELEASED; urgency=medium

  * Fixed VCS URL (https)

 -- Ondřej Nový <novy@ondrej.org>  Tue, 29 Mar 2016 22:17:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                python-all (>= 2.6.6-3), python-setuptools,
                python3-all, python3-setuptools,
                python-configobj, python3-configobj
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/jbfavre/python-protobix
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-protobix.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-protobix.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-protobix.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

## python-protobix 1.0.0

=== debian/changelog ===
python-protobix (1.0.0-3) unstable; urgency=medium

  * Update debhelper compat version
  * Update build dependencies. Remove pytest-cov

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 02 Dec 2016 12:25:32 +0100

python-protobix (1.0.0-2) unstable; urgency=medium

  * Update build dependencies (Closes: #845458)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 02 Dec 2016 12:06:59 +0100

python-protobix (1.0.0-1) unstable; urgency=medium

  * Import python-protobix_1.0.0.orig.tar.gz

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 22 Nov 2016 13:39:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,10 @@
 Build-Depends: debhelper (>= 8), dh-python,
                python-all (>= 2.6.6-3), python-setuptools,
                python3-all, python3-setuptools,
-               python-configobj, python3-configobj
+               python-configobj, python3-configobj,
+               python-simplejson, python3-simplejson,
+               python-mock, python3-mock,
+               python-pytest, python3-pytest
 Standards-Version: 3.9.8
 Homepage: https://github.com/jbfavre/python-protobix
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-protobix.git

## python-protobix 1.0.1

=== debian/changelog ===
python-protobix (1.0.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Jean Baptiste Favre ]
  * Update debhelper compat version
  * Update standard version

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 20 Aug 2018 14:11:16 +0200

python-protobix (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 04 Dec 2017 12:53:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,17 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jean Baptiste Favre <debian@jbfavre.org>
-Build-Depends: debhelper (>= 8), dh-python,
+Build-Depends: debhelper (>= 11), dh-python,
                python-all (>= 2.6.6-3), python-setuptools,
                python3-all, python3-setuptools,
                python-configobj, python3-configobj,
                python-simplejson, python3-simplejson,
                python-mock, python3-mock,
                python-pytest, python3-pytest
-Standards-Version: 3.9.8
+Standards-Version: 4.2.0
 Homepage: https://github.com/jbfavre/python-protobix
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-protobix.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-protobix.git
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-protobix.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-protobix
 
 Package: python-protobix
 Architecture: all

## python-protobix 1.0.2

=== requirements.txt ===
configobj
simplejson

=== debian/changelog ===
python-protobix (1.0.2-8) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 07 Oct 2020 16:37:10 +0200

python-protobix (1.0.2-7) unstable; urgency=medium

  * Bump Standards-Version
  * Update debhelper-compat version.
  * Add 'Rules-Requires-Root: no' in d/control

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 22 May 2020 19:45:53 +0200

python-protobix (1.0.2-6) UNRELEASED; urgency=medium

   [ Ondřej Nový ]
   * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
   * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
     Repository-Browse.

 -- Ondřej Nový <onovy@debian.org>  Fri, 18 Oct 2019 15:55:43 +0200

python-protobix (1.0.2-5) unstable; urgency=medium

  * Enable salsa-ci
  * Use debhelper-compat version 12

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 31 Jul 2019 15:14:45 +0200

python-protobix (1.0.2-4) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Wed, 31 Jul 2019 13:42:35 +0200

python-protobix (1.0.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Jean Baptiste Favre ]
  * Bump Standards-Version to 4.4.0.

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 22 Jul 2019 10:45:59 +0200

python-protobix (1.0.2-2) unstable; urgency=medium

  * Update Standards-Version in d/control
  * Fix duplicate short description
  * Removed lintian override

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 31 Oct 2018 17:28:30 +0100

python-protobix (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 31 Oct 2018 13:00:21 +0100

python-protobix (1.0.1-3) unstable; urgency=medium

  * Enable basic autopkgtest
  * Override lintian info

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 21 Aug 2018 14:30:19 +0200

=== debian/control ===
Source: python-protobix
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jean Baptiste Favre <debian@jbfavre.org>
Build-Depends: debhelper-compat (= 13), dh-python,
               python3-all, python3-setuptools,
               python3-configobj,
               python3-simplejson,
               python3-mock,
               python3-pytest
Standards-Version: 4.5.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/jbfavre/python-protobix
Vcs-Git: https://salsa.debian.org/python-team/packages/python-protobix.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-protobix

Package: python3-protobix
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Implementation of Zabbix Sender protocol (Python 3)
 This module implements Zabbix Sender Protocol.
 It allows one to build list of items and send items and send them as trapper.
 It currently supports items as well as Low Level Discovery.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=protobix

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/v?(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|bpo|bbc)\d*)$/$1~$2/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-protobix-$1\.tar\.gz/ \
  https://github.com/jbfavre/python-protobix/tags .*/archive/v?(\d\S*)\.tar\.gz
